# Class: AES

## AES

#### new AES(key)

Schedule out an AES key for both encryption and decryption. This is a low-level class. Use a cipher mode to do bulk encryption.

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | Array | The key as an array of 4, 6 or 8 words.

Source:
  - decrypter/aes.js, line 95

### Methods

#### decrypt(encrypted0, encrypted1, encrypted2, encrypted3, out, offset) → {Array}

Decrypt 16 bytes, specified as four 32-bit words.

##### Parameters:

Name | Type | Description
--- | --- | ---
`encrypted0` | Number | the first word to decrypt
`encrypted1` | Number | the second word to decrypt
`encrypted2` | Number | the third word to decrypt
`encrypted3` | Number | the fourth word to decrypt
`out` | Int32Array | the array to write the decrypted words into
`offset` | Number | the offset into the output array to start writing results

Source:
  - decrypter/aes.js, line 198

##### Returns:

The plaintext.

Type
  Array